sensor:
  - platform: template
    name: "temperature_max"
    lambda: return atoi(id(temperature_max).state.c_str());
    internal: true
  - platform: template
    name: "temperature_hysteresis"
    lambda: return atoi(id(temperature_hysteresis).state.c_str());
    internal: true
  - platform: template
    name: "temperature_min"
    lambda: return atoi(id(temperature_min).state.c_str());
    internal: true
  - platform: template
    name: "humidity_max"
    lambda: return atoi(id(humidity_max).state.c_str());
    internal: true
  - platform: template
    name: "humidity_hysteresis"
    lambda: return atoi(id(humidity_hysteresis).state.c_str());
    internal: true
  - platform: template
    name: "humidity_min"
    lambda: return atoi(id(humidity_min).state.c_str());
    internal: true

select:
  # - platform: template
  #   id: fan_mode
  #   name: "Fan: Mode"
  #   options: ["Power", "Speed"]
  #   initial_option: "Power"
  #   optimistic: true
  #   restore_value: true
  - platform: template
    id: temperature_max
    name: "Fan: Temperature On"
    options: ["21", "22", "23", "24", "25", "26", "27", "28", "29", "30"]
    initial_option: "27"
    optimistic: true
    restore_value: true
  - platform: template
    id: temperature_hysteresis
    name: "Fan: Temperature Hysteresis"
    options: ["1", "2", "3", "4", "5", "6", "7", "8", "9", "10"]
    initial_option: "1"
    optimistic: true
    restore_value: true
  - platform: template
    id: temperature_min
    name: "Fan: Temperature Off"
    options: ["16", "17", "18", "19", "20", "21", "22", "23", "24", "25"]
    initial_option: "21"
    optimistic: true
    restore_value: true
  - platform: template
    id: humidity_max
    name: "Fan: Humidity On"
    options: ["40", "45", "50", "55", "60", "65", "70", "75", "80", "85"]
    initial_option: "70"
    optimistic: true
    restore_value: true
  - platform: template
    id: humidity_hysteresis
    name: "Fan: Humidity Hysteresis"
    options: ["1", "2", "3", "4", "5", "10", "15"]
    initial_option: "5"
    optimistic: true
    restore_value: true
  - platform: template
    id: humidity_min
    name: "Fan: Humidity Off"
    options: ["30", "35", "40", "45", "50", "55", "60", "65", "70", "80"]
    initial_option: "40"
    optimistic: true
    restore_value: true

# number:
#   - platform: template
#     id: fan_speed_default
#     name: "Fan: Speed Default"
#     min_value: 0
#     max_value: 100
#     step: 1
#     mode: slider
#     optimistic: true
#     restore_value: true
#   - platform: template
#     id: fan_speed_max
#     name: "Fan: Speed Fast"
#     min_value: 0
#     max_value: 100
#     step: 1
#     mode: slider
#     optimistic: true
#     restore_value: true
